
CephFS - Backport #53861

pacific: qa: tasks.cephfs.fuse_mount:mount command failed

01/13/2022 12:51 PM - Backport Bot

Status: Resolved   

Priority: Normal   

Assignee: Xiubo Li   

Target version: v16.2.8   

Release: pacific Crash signature (v2):  

Crash signature (v1):    

Description

https://github.com/ceph/ceph/pull/44621

Related issues:

Copied from CephFS - Bug #51705: qa: tasks.cephfs.fuse_mount:mount command fa... Resolved

History

#1 - 01/13/2022 12:51 PM - Backport Bot

- Copied from Bug #51705: qa: tasks.cephfs.fuse_mount:mount command failed added

#2 - 01/17/2022 01:40 PM - Xiubo Li

- Assignee set to Xiubo Li

#3 - 01/18/2022 01:56 AM - Xiubo Li

- Description updated

- Status changed from New to In Progress

#4 - 01/25/2022 04:02 PM - Yuri Weinstein

Backport Bot wrote:

https://github.com/ceph/ceph/pull/44621

 

merged

#5 - 01/31/2022 12:22 PM - Loïc Dachary

- Status changed from In Progress to Resolved

- Target version set to v16.2.8

This update was made using the script "backport-resolve-issue".

backport PR https://github.com/ceph/ceph/pull/44621

merge commit 88da96ee21f8cf32856e17a6ca9970d1fd859bce (v16.2.7-252-g88da96ee21f)

#6 - 08/09/2022 10:13 AM - Kotresh Hiremath Ravishankar

Xiubo,
Looks like this is seen again in this pacific run ?

https://pulpito.ceph.com/yuriw-2022-07-24_15:34:38-fs-wip-yuri2-testing-2022-07-15-0755-pacific-distro-default-smithi/6946337

#7 - 08/09/2022 10:24 AM - Xiubo Li

Kotresh Hiremath Ravishankar wrote:

Xiubo,

Looks like this is seen again in this pacific run ?

https://pulpito.ceph.com/yuriw-2022-07-24_15:34:38-fs-wip-yuri2-testing-2022-07-15-0755-pacific-distro-default-smithi/6946337

 

Seems a different issue:

2022-07-24T15:47:30.290 DEBUG:teuthology.orchestra.run.smithi137:> sudo mount -t fusectl /sys/fs/fuse/connecti

ons /sys/fs/fuse/connections

2022-07-24T15:47:30.348 INFO:teuthology.orchestra.run.smithi137.stderr:mount: /sys/fs/fuse/connections: /sys/f

s/fuse/connections already mounted or mount point busy.

2022-07-24T15:47:30.349 INFO:tasks.cephfs.fuse_mount.ceph-fuse.vol_data_isolated.smithi137.stderr:2022-07-24 1

5:47:30.343 7f3e031a7700 -1 monclient(hunting): handle_auth_bad_method server allowed_methods [2] but i only s

upport [2]

2022-07-24T15:47:30.349 INFO:tasks.cephfs.fuse_mount.ceph-fuse.vol_data_isolated.smithi137.stderr:2022-07-24 1

5:47:30.343 7f3e029a6700 -1 monclient(hunting): handle_auth_bad_method server allowed_methods [2] but i only s

upport [2]

2022-07-24T15:47:30.393 DEBUG:teuthology.orchestra.run:got remote process result: 32

2022-07-24T15:47:30.397 INFO:teuthology.orchestra.run:Running command with timeout 900

2022-07-24T15:47:30.398 DEBUG:teuthology.orchestra.run.smithi137:> ls /sys/fs/fuse/connections

2022-07-24T15:47:30.399 INFO:tasks.cephfs.fuse_mount.ceph-fuse.vol_data_isolated.smithi137.stderr:failed to fe

tch mon config (--no-mon-config to skip)

2022-07-24T15:47:30.530 INFO:tasks.cephfs.fuse_mount.ceph-fuse.vol_data_isolated.smithi137.stderr:daemon-helpe

r: command failed with exit status 1

2022-07-24T15:47:30.549 DEBUG:teuthology.orchestra.run:got remote process result: 1

2022-07-24T15:47:30.550 INFO:tasks.cephfs.fuse_mount:mount command failed.

2022-07-24T15:47:30.551 ERROR:teuthology.run_tasks:Saw exception from tasks.
#8 - 08/10/2022 06:50 AM - Xiubo Li

Xiubo Li wrote:

Kotresh Hiremath Ravishankar wrote:

Xiubo,

Looks like this is seen again in this pacific run ?

https://pulpito.ceph.com/yuriw-2022-07-24_15:34:38-fs-wip-yuri2-testing-2022-07-15-0755-pacific-distro-default-smithi/6946337

 

Seems a different issue:

[...]

 

22-07-24T15:47:25.443 INFO:tasks.workunit.client.0.smithi137.stderr:+ local T=/tmp/tmp.t0CieZarQn

2022-07-24T15:47:25.444 INFO:tasks.workunit.client.0.smithi137.stderr:+ tee /tmp/tmp.t0CieZarQn

2022-07-24T15:47:25.444 INFO:tasks.workunit.client.0.smithi137.stderr:Traceback (most recent call last):

2022-07-24T15:47:25.444 INFO:tasks.workunit.client.0.smithi137.stderr:  File "<stdin>", line 2, in <module>

2022-07-24T15:47:25.445 INFO:tasks.workunit.client.0.smithi137.stderr:ModuleNotFoundError: No module named 'ce

ph_volume_client'

2022-07-24T15:47:25.445 INFO:tasks.workunit.client.0.smithi137.stderr:+ sudo touch -- /etc/ceph/ceph.client.vo

l_data_isolated.keyring

2022-07-24T15:47:25.497 INFO:tasks.workunit.client.0.smithi137.stderr:+ sudo ceph-authtool /etc/ceph/ceph.clie

nt.vol_data_isolated.keyring --import-keyring /tmp/tmp.t0CieZarQn

 

It's failed to generate the keyring contents for the client.vol_data_isolated, and then when doing the authentication it will sent a corrupt payload data

to monitor and the monitor will just fail it:

2022-07-24 15:47:30.344 7f52d6623700 10 cephx server client.vol_data_isolated: handle_request get_auth_session

_key for client.vol_data_isolated

2022-07-24 15:47:30.344 7f52d7625700  1 -- [v2:172.21.15.29:3300/0,v1:172.21.15.29:6789/0] <== client.? v1:172

.21.15.137:0/2195577994 1 ==== auth(proto 0 42 bytes epoch 0) v1 ==== 72+0+0 (unknown 479712082 0 0) 0x5568e47

36d80 con 0x5568e49be880

2022-07-24 15:47:30.344 7f52d6623700  0 cephx server client.vol_data_isolated: handle_request failed to decode

 CephXAuthenticate: buffer::end_of_buffer

2022-07-24 15:47:30.344 7f52d7625700 10 mon.a@0(leader) e1 _ms_dispatch new session 0x5568e4738400 MonSession(

client.? v1:172.21.15.137:0/2195577994 is open , features 0x3ffddff8ffecffff (luminous)) features 0x3ffddff8ff

ecffff

2022-07-24 15:47:30.344 7f52d7625700 20 mon.a@0(leader) e1  entity_name  global_id 0 (none) caps

2022-07-24 15:47:30.344 7f52d7625700 10 mon.a@0(leader).paxosservice(auth 1..3) dispatch 0x5568e4736d80 auth(p

roto 0 42 bytes epoch 0) v1 from client.? v1:172.21.15.137:0/2195577994 con 0x5568e49be880

2022-07-24 15:47:30.344 7f52d6623700  1 --2- [v2:172.21.15.29:3300/0,v1:172.21.15.29:6789/0] >>  conn(0x5568e4

9bfa80 0x5568e4693100 secure :-1 s=AUTH_ACCEPTING_MORE pgs=0 cs=0 l=1 rev1=1 rx=0 tx=0)._auth_bad_method auth_

method 2 r (1) Operation not permitted, allowed_methods [2], allowed_modes [2,1]

2022-07-24 15:47:30.344 7f52d7625700  5 mon.a@0(leader).paxos(paxos active c 1..100) is_readable = 1 - now=202

2-07-24 15:47:30.347662 lease_expire=2022-07-24 15:47:34.440663 has v0 lc 100

 

I will create one new PR to fix this and will add the detail logs to it.
#9 - 08/10/2022 07:26 AM - Xiubo Li

Created a new tracker to fix it https://tracker.ceph.com/issues/57083.
